Bug 23315 - RFE: Choosing Desktop/Displaymanager individually
RFE: Choosing Desktop/Displaymanager individually
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: initscripts (Show other bugs)
7.1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
David Lawrence
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-01-04 09:52 EST by Gerald Teschl
Modified: 2014-03-16 22:17 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-01-29 17:48:00 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Gerald Teschl 2001-01-04 09:52:41 EST
It would be nice if one could choose the default Desktop/Displaymanager
individually. This can be done by adding one line to prefdm (without
braking
anything else):

--- /etc/X11/prefdm.orig        Tue Dec 19 16:12:03 2000
+++ /etc/X11/prefdm     Thu Jan  4 13:07:25 2001
@@ -19,6 +19,7 @@
 preferred=
 if [ -f /etc/sysconfig/desktop ]; then
        source /etc/sysconfig/desktop >/dev/null 2>&1
+       [ -n "$DISPLAYMANAGER" ] && DESKTOP=$DISPLAYMANAGER
        if [ "$DESKTOP" = GNOME ]; then
                preferred=gdm
        elif [ "$DESKTOP" = KDE -o "$DESKTOP" = KDE1 ]; then
Comment 1 Bill Nottingham 2001-01-29 17:47:56 EST
Thanks, will be in 5.60-1!

Note You need to log in before you can comment on or make changes to this bug.